import toml
import RPi.GPIO as io

from enum import Enum

class State(Enum):
    # TODO: add blinking state
    LOW = io.LOW
    HIGH = io.HIGH


class Led():

    def __init__(self, config):
        self.config = config

    def __call__(self, state):
        io.output(self.config.pin, state.value)

class Leds(dict):

    def __init__(self, config_file='config.toml'):
        super().__init__()
        self.config = toml.load(config_file)
        for led in self.config['leds']:
            self[led['name']] = Led(led)
